optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.ControlStage.OFPID Class Reference
Inheritance diagram for optoKummenberg.registers.ControlStage.OFPID:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.ControlStage
| __init__ (self, int or None channel=0, board=None)
| SetAsControlMode (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0xB8 | channel
dict | adaptive_pid_enabled
dict | kp
dict | ki
dict | kd
dict | min_output
dict | max_output
dict | min_integral
dict | max_integral
dict | setpoint
dict | ap
dict | bp
dict | cp
dict | ai
dict | bi
dict | ci
dict | ad
dict | bd
dict | cd
dict | gain_scheduling
dict | dfilter_enabled
dict | dfilter_cutoff
dict | reset_integral
dict | disable_sensor_input
dict | output
dict | pid_disabled
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Control Mode Channel - OF PID Control (with/without Temperature Compensation)
    System ID: 0xB8 through 0xBf

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    |adaptive_pid_enabled| 0x00 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | kp                 | 0x01 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ki                 | 0x02 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | kd                 | 0x03 |uint 32-bit  |bool  | T/F   | 1       |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_output         | 0x03 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_output         | 0x04 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_integral       | 0x05 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_integral       | 0x06 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ap                 | 0x07 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | bp                 | 0x08 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ai                 | 0x09 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | bi                 | 0x0a |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ad                 | 0x0b |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | bd                 | 0x0c |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.ControlStage.OFPID.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ help()

optoKummenberg.registers.ControlStage.OFPID.help | ( |  | ) |
| static

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.ControlStage.OFPID._readonly = False
| protected

## ◆ ad

dict optoKummenberg.registers.ControlStage.OFPID.ad

Initial value:
= {'id': self.sys_id << 8 | 0x0f,
'type': float,
'unit': None,
'range': None,
'default': 8000.0,
'value': 8000.0}

## ◆ adaptive_pid_enabled

dict optoKummenberg.registers.ControlStage.OFPID.adaptive_pid_enabled

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': bool,
'unit': None,
'range': [True, False],
'default': 1,
'value': 1}

## ◆ ai

dict optoKummenberg.registers.ControlStage.OFPID.ai

Initial value:
= {'id': self.sys_id << 8 | 0x0c,
'type': float,
'unit': None,
'range': None,
'default': 0.06,
'value': 0.06}

## ◆ ap

dict optoKummenberg.registers.ControlStage.OFPID.ap

Initial value:
= {'id': self.sys_id << 8 | 0x09,
'type': float,
'unit': None,
'range': None,
'default': 40.0,
'value': 40.0}

## ◆ bd

dict optoKummenberg.registers.ControlStage.OFPID.bd

Initial value:
= {'id': self.sys_id << 8 | 0x10,
'type': float,
'unit': None,
'range': None,
'default': 8000.0,
'value': 8000.0}

## ◆ bi

dict optoKummenberg.registers.ControlStage.OFPID.bi

Initial value:
= {'id': self.sys_id << 8 | 0x0d,
'type': float,
'unit': None,
'range': None,
'default': 0.03,
'value': 0.03}

## ◆ bp

dict optoKummenberg.registers.ControlStage.OFPID.bp

Initial value:
= {'id': self.sys_id << 8 | 0x0a,
'type': float,
'unit': None,
'range': None,
'default': 20.0,
'value': 20.0}

## ◆ cd

dict optoKummenberg.registers.ControlStage.OFPID.cd

Initial value:
= {'id': self.sys_id << 8 | 0x11,
'type': float,
'unit': None,
'range': None,
'default': 800.0,
'value': 800.0}

## ◆ ci

dict optoKummenberg.registers.ControlStage.OFPID.ci

Initial value:
= {'id': self.sys_id << 8 | 0x0e,
'type': float,
'unit': None,
'range': None,
'default': 0.03,
'value': 0.03}

## ◆ cp

dict optoKummenberg.registers.ControlStage.OFPID.cp

Initial value:
= {'id': self.sys_id << 8 | 0x0b,
'type': float,
'unit': None,
'range': None,
'default': 20.0,
'value': 20.0}

## ◆ dfilter_cutoff

dict optoKummenberg.registers.ControlStage.OFPID.dfilter_cutoff

Initial value:
= {'id': self.sys_id << 8 | 0x14,
'type': float,
'unit': None,
'range': None,
'default': 800,
'value': 800}

## ◆ dfilter_enabled

dict optoKummenberg.registers.ControlStage.OFPID.dfilter_enabled

Initial value:
= {'id': self.sys_id << 8 | 0x13,
'type': bool,
'unit': None,
'range': None,
'default': True,
'value': True}

## ◆ disable_sensor_input

dict optoKummenberg.registers.ControlStage.OFPID.disable_sensor_input

Initial value:
= {'id': self.sys_id << 8 | 0x16,
'type': bool,
'unit': None,
'range': None,
'default': False,
'value': False}

## ◆ gain_scheduling

dict optoKummenberg.registers.ControlStage.OFPID.gain_scheduling

Initial value:
= {'id': self.sys_id << 8 | 0x12,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ kd

dict optoKummenberg.registers.ControlStage.OFPID.kd

Initial value:
= {'id': self.sys_id << 8 | 0x03,
'type': float,
'unit': None,
'range': None,
'default': 800.0,
'value': 800.0}

## ◆ ki

dict optoKummenberg.registers.ControlStage.OFPID.ki

Initial value:
= {'id': self.sys_id << 8 | 0x02,
'type': float,
'unit': None,
'range': None,
'default': 0.03,
'value': 0.03}

## ◆ kp

dict optoKummenberg.registers.ControlStage.OFPID.kp

Initial value:
= {'id': self.sys_id << 8 | 0x01,
'type': float,
'unit': None,
'range': None,
'default': 20.0,
'value': 20.0}

## ◆ max_integral

dict optoKummenberg.registers.ControlStage.OFPID.max_integral

Initial value:
= {'id': self.sys_id << 8 | 0x07,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ max_output

dict optoKummenberg.registers.ControlStage.OFPID.max_output

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': float,
'unit': None,
'range': None,
'default': 1.0,
'value': 1.0}

## ◆ min_integral

dict optoKummenberg.registers.ControlStage.OFPID.min_integral

Initial value:
= {'id': self.sys_id << 8 | 0x06,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ min_output

dict optoKummenberg.registers.ControlStage.OFPID.min_output

Initial value:
= {'id': self.sys_id << 8 | 0x04,
'type': float,
'unit': None,
'range': None,
'default': -1.0,
'value': -1.0}

## ◆ output

dict optoKummenberg.registers.ControlStage.OFPID.output

Initial value:
= {'id': self.sys_id << 8 | 0x17,
'type': float,
'unit': None,
'range': None,
'default': False,
'value': False}

## ◆ pid_disabled

dict optoKummenberg.registers.ControlStage.OFPID.pid_disabled

Initial value:
= {'id': self.sys_id << 8 | 0x18,
'type': bool,
'unit': None,
'range': None,
'default': False,
'value': False}

## ◆ reset_integral

dict optoKummenberg.registers.ControlStage.OFPID.reset_integral

Initial value:
= {'id': self.sys_id << 8 | 0x15,
'type': bool,
'unit': None,
'range': None,
'default': False,
'value': False}

## ◆ setpoint

dict optoKummenberg.registers.ControlStage.OFPID.setpoint

Initial value:
= {'id': self.sys_id << 8 | 0x08,
'type': float,
'unit': None,
'range': None,
'default': 0,
'value': 0}

## ◆ sys_id

int optoKummenberg.registers.ControlStage.OFPID.sys_id = 0xB8 | channel

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/ControlStage.py